Loading...
Searching...
No Matches
BondSpec Struct Reference

`#include <openbabel/parsmart.h>`

## Public Attributes

BondExpr * | expr
int | src
int | dst
int | visit
bool | grow

## Detailed Description

An internal (SMARTS parser) bond specification.

## Member Data Documentation

## expr

BondExpr* expr

Referenced by OpenBabel::CopyPattern(), OpenBabel::CreateBond(), OBSmartsMatcher::FastSingleMatch(), and OpenBabel::FreePattern().

## src

int src

Referenced by OpenBabel::CopyPattern(), OpenBabel::CreateBond(), OBSmartsMatcher::FastSingleMatch(), and OpenBabel::MarkGrowBonds().

## dst

int dst

Referenced by OpenBabel::CopyPattern(), OpenBabel::CreateBond(), OBSmartsMatcher::FastSingleMatch(), and OpenBabel::MarkGrowBonds().

## visit

int visit

## grow

bool grow

Referenced by OBSmartsMatcher::FastSingleMatch(), and OpenBabel::MarkGrowBonds().

The documentation for this struct was generated from the following file:

- parsmart.h